Subject: Re: bug#34710: the mode line flicks on set-window-vscroll

From: Robert Pluim <[email-masked]>
Date: Tue, 05 Mar 2019 10:06:02 +0100

Alan Third <[email-masked]> writes:

> On Mon, Mar 04, 2019 at 10:07:25PM +0100, Robert Pluim wrote:
>> takes ~15 seconds in both vanilla emacs-26 and with your patch.
>> 
>> Are there any other tests you'd like me to run? (I know nothing about
>> macOS profiling tools)
>
> Thanks for trying. I can’t think of anything to test right now but
> I’ll have a think and get back to you.
>
> What sort of hardware are you running on? Are you running Emacs
> fullscreen on a 4k display or similar?

Itʼs a late 2018 macbook pro 13", i7 cpu. The external monitors are:

(display-monitor-attributes-list)
(((name . "Monitor1")
  (geometry 0 0 1920 1080)
  (workarea 0 23 1920 1057)
  (mm-size 594 334)
  (frames #<frame *Summary gmane.emacs.bugs* 0x7fcda78819b0> #<frame *ielm* 0x7fcdad8efa80>)
  (source . "NS"))
 ((name . "Monitor2")
  (geometry -1920 0 1920 1080)
  (workarea -1920 0 1920 1080)
  (mm-size 594 334)
  (frames)
  (source . "NS")))

so not 4k, and I normally run with multiple non-maximized frames (but
my testing was with a single default frame).

Robert